[package]
name = "polymusic"
version = "1.2.0"
edition = "2024"
build = "build.rs"

[dependencies]
iced = { version = "0.13.1", features = ["canvas", "tokio"] }
kira = "0.10.6"
tokio = {version = "1.45.1", features = ["time"]}
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0.140"
regex = "1.11.1"
iced_aw = {version = "0.12.2", default-features = true}
iced_fonts = "0.2.1"
smol_str = "0.3.2"
winapi = {version = "0.3", features = ["wincon", "winuser"]}
rfd = "0.15.4"
pathdiff = "0.2.3"

[profile.release]
opt-level = 3
lto = true
codegen-units = 1
panic = 'abort'



